# $Revision: 1.36 $, $Date: 2011/04/20 13:37:56 $

%define		_rc	rc8

Summary:	NiceShaper - bandwidth limiting
Summary(pl.UTF-8):	NiceShaper - dynamiczny podział łącza
Name:		niceshaper
Version:	0.6
Release:	0.%{_rc}.1
License:	GPL
Group:		Networking/Admin
Source0:	http://niceshaper.jedwabny.net/files/%{name}%{version}%{_rc}.tar.bz2
# Source0-md5:	32aab12fe08aa77c4244c9c3db1c082b
Source1:	%{name}.users
Source2:	%{name}.config
Source3:	%{name}.about
Source4:	%{name}.init
Patch0:		%{name}-includes.patch
Patch1:		%{name}-iptables-deprecated.patch
URL:		http://niceshaper.jedwabny.net/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	firewall-userspace-tool
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program limits bandwidth on the ethernet/ppp interface and
divides it between the hosts in the local network.

%description -l pl.UTF-8
Program opierając się na HTB/IMQ dzieli dostępne pasmo na komputery w
sieci, dynamicznie dostosowując się do generowanego przez każdego z
użytkowników obciążenia.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build

%{__make} \
	CPP="%{__cxx} %{rpmcxxflags}"

install %{SOURCE1} ./users
install %{SOURCE2} ./config
install %{SOURCE3} ./about
install %{SOURCE4} .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/niceshaper0.6,/etc/rc.d/init.d}

install niceshaper $RPM_BUILD_ROOT%{_bindir}
install etc/niceshaper0.6/* $RPM_BUILD_ROOT%{_sysconfdir}/niceshaper0.6
install niceshaper.init $RPM_BUILD_ROOT/etc/rc.d/init.d/niceshaper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add niceshaper
%service niceshaper restart "niceshaper daemon"

%preun
if [ "$1" = "0" ]; then
	%service niceshaper stop
	/sbin/chkconfig --del niceshaper
fi

%files
%defattr(644,root,root,755)
%doc users config about
%dir %{_sysconfdir}/%{name}0.6
%attr(640,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}0.6/*
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/niceshaper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: niceshaper.spec,v $
Revision 1.36  2011/04/20 13:37:56  lisu
- up to 0.6rc8

Revision 1.35  2010/11/22 15:36:17  lisu
- 0.6rc7

Revision 1.34  2010/10/20 19:38:04  paszczus
- added Patch1 to fix deprecated iptables syntax in not- options

Revision 1.33  2010/10/17 09:30:36  paszczus
- merged 0.6.0rc6 from DEVEL

Revision 1.32.2.1  2009/09/23 07:43:39  lisu
- up to 0.6rc6 (thanks to Krzysztof Golinksi <krzysztof.golinski at gmail.com>
- includes.patch (thanks to Krzysztof Golinksi)

Revision 1.32  2009/03/22 22:33:45  baggins
- unified: removed _initrddir macro usage

Revision 1.31  2007/05/16 11:04:06  paszczus
- updated to 0.6rc4

Revision 1.30  2007/02/21 13:33:14  paszczus
- since 0.6 version config is in /etc/niceshaper0.6 directory

Revision 1.29  2007/02/21 13:24:06  qboosh

Revision 1.28  2007/02/21 13:14:38  paszczus
- updated to 0.6rc3

Revision 1.27  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.25  2006/07/20 12:19:10  spider
- typo

Revision 1.24  2006/07/20 11:19:09  spider
- url update

Revision 1.23  2006/05/21 17:33:37  glen
- rel 2

Revision 1.22  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.21  2006/01/10 10:52:09  wolvverine
- add to pl description

Revision 1.20  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/03/18 13:31:39  darekr
- missing dir

Revision 1.18  2005/03/15 22:41:21  dzeus
- BR: libstdc++-devel

Revision 1.17  2005/01/09 18:24:36  adamg
- updated to 0.5.1
